%global pypi_name crc

Name:           python-crc
Version:        6.1.1
Release:        1%{?dist}
Summary:        Calculate and verify predefined & custom CRC's

License:        BSD
URL:            nicoretti.github.io/crc
Source0:        https://github.com/Nicoretti/crc/releases/download/6.1.1/crc-6.1.1.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Calculate CRC checksums, verify CRC checksum, predefined CRC configurations,
custom CRC configurations.

%package -n     python3-crc
Summary:        %{summary}
%{?python_provide:%python_provide python3-crc}

%description -n python3-crc
Calculate CRC checksums, verify CRC checksum, predefined CRC configurations,
custom CRC configurations.


%prep
%autosetup -n crc-%{version}


%build
%py3_build


%install
%py3_install
%if 0%{?rhel} < 9
find %{buildroot}/%{python3_sitelib} -name '*.py' -exec sed -i '/from __future__ import annotations/d' {} +
%endif


%files -n python3-crc
%license LICENSE.txt
%{_bindir}/*
%{python3_sitelib}/crc
%{python3_sitelib}/crc-%{version}-py?.*.egg-info


%changelog
* Mon Feb 19 2024 Balint Cristian <cristian.balint@gmail.com> - 6.1.1-1
- Initial package.
